Main Page Class Hierarchy Compound List File List Compound Members File Members

# Abutton Class Reference

`#include <button.h>`

Inheritance diagram for Abutton::

List of all members.

## Public Types
enum | { btCAPTION = 1, btBITMAP = 2, bt2STATES = 4 }
enum | { btCHECK = 8 }
## Public Methods
ALIBOBJ ADLL | Abutton (char *name, Aobject *L, int x, int y, int def=btCHECK)
ADLL | Abutton (char *name, Aobject *L, int x, int y, int w, int h, char *caption=NULL, int type=btCAPTION)
ADLL | Abutton (char *name, Aobject *L, int x, int y, int w, int h, Aresobj *o, int type=btBITMAP)
virtual ADLL | ~Abutton ()
virtual ADLL bool | mouse (int x, int y, int state, int event)
virtual ADLL void | setCaption (char *caption)
virtual ADLL char * | getCaption ()
virtual bool | isChecked ()
virtual ADLL void | setChecked (bool c)
## Public Attributes
dword | colorBACKNORMAL
dword | colorBACKOVER
dword | colorBACKDOWN
dword | colorBACKCHECK
dword | colorFORENORMAL
dword | colorFOREOVER
dword | colorFOREDOWN
dword | colorFORECHECK
## Protected Attributes
int | type
bool | checked
char * | caption
Abitmap * | bmp1

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  btCAPTION |
  btBITMAP |
  bt2STATES |

anonymous enum

  | Enumeration values:
  btCHECK |

## Constructor & Destructor Documentation

ALIBOBJ ADLL Abutton::Abutton | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | def = btCHECK
| ) |

ADLL Abutton::Abutton | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | char * | caption = NULL,
|  | int | type = btCAPTION
| ) |

ADLL Abutton::Abutton | ( | char * | name,
|  | Aobject * | L,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Aresobj * | o,
|  | int | type = btBITMAP
| ) |

virtual ADLL Abutton::~Abutton | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual ADLL char* Abutton::getCaption | ( |  | ) | `[inline, virtual]`

virtual bool Abutton::isChecked | ( |  | ) | `[inline, virtual]`

virtual ADLL bool Abutton::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented from Aobject. Reimplemented in ActrlButton.

virtual ADLL void Abutton::setCaption | ( | char * | caption | ) | `[virtual]`

virtual ADLL void Abutton::setChecked | ( | bool | c | ) | `[virtual]`

## Member Data Documentation

Abitmap* Abutton::bmp1`[protected]`

char* Abutton::caption`[protected]`

bool Abutton::checked`[protected]`

dword Abutton::colorBACKCHECK

dword Abutton::colorBACKDOWN

dword Abutton::colorBACKNORMAL

dword Abutton::colorBACKOVER

dword Abutton::colorFORECHECK

dword Abutton::colorFOREDOWN

dword Abutton::colorFORENORMAL

dword Abutton::colorFOREOVER

int Abutton::type`[protected]`

The documentation for this class was generated from the following file:

- button.h